From f5ec159206886f7e1fbf91e4371aa6d745ff98ec Mon Sep 17 00:00:00 2001
From: James Coleman <jtc331@gmail.com>
Date: Fri, 24 Apr 2020 16:28:16 -0400
Subject: [PATCH v2 3/3] Don't reset node->bounded

The `bounded` property is set ExecSetTupleBound before rescan is called,
so we shouldn't reset this to false every time we rescan, else we just
lose the bounded optimization on for all rescans.
---
 src/backend/executor/nodeIncrementalSort.c | 1 -
 1 file changed, 1 deletion(-)

diff --git a/src/backend/executor/nodeIncrementalSort.c b/src/backend/executor/nodeIncrementalSort.c
index 2d2095964f..144dd39dd0 100644
--- a/src/backend/executor/nodeIncrementalSort.c
+++ b/src/backend/executor/nodeIncrementalSort.c
@@ -1149,7 +1149,6 @@ ExecReScanIncrementalSort(IncrementalSortState *node)
 	if (node->transfer_tuple != NULL)
 		ExecClearTuple(node->transfer_tuple);
 
-	node->bounded = false;
 	node->outerNodeDone = false;
 	node->n_fullsort_remaining = 0;
 	node->bound_Done = 0;
-- 
2.17.1

